Subject: Re: Testing result on May 1

From: Zheng Gengbing <[email-masked]>
Date: Fri, 3 May 1996 11:56:38 +0800 (EAT)

On Wed, 1 May 1996, Guansong Zhang wrote:

> Yesterday, I sent the following kind of form for testing results.
> 
> Since hit made an update after that and I also found a mistake in my testing
> procedure, I have conducted the test once again today. Here is the latest
> testing result.
> 
> And I add a column to indicate whether the unparsed result can be compiled with
> -c flag by comercial compilers, which is the ultimate creteria for success.
> (I have no time to do this today)
> 
> Again, here p only means no segment fault, f means segment faults.
> 
> comprehensive testing:
> 
> 1.34:
>                     hpf2dep         dumpdep          unparse       recompile
> test1.f90 		p		f
> test2.f90		p		p		p
> test3.f90		p		p		p
> test4.f90		p		p		p
> test5.f90		p		p		p
> test6.f90		p		p		p
> test7.f90		p		p		p
> test8.f90		f
> testh.f90		p		p		f
> 
> 

( P: pass     F: core dump      E:error , not core dump  W: warning )
	Result of test of version 1.34 : (without modification )
1.34:

 test1.f90             f               
 test2.f90             p               p               p
 test3.f90             p               p               p
 test4.f90             p               p               p
 test5.f90             p               p               p
 test6.f90             p               p               p
 test7.f90             p               p               p
 test8.f90             w               p               p
 testh.f90             e                              

	The test result of the merged version :( without modification )

merged version:

 test1.f90             f
 test2.f90             p               p               p
 test3.f90             p               p               p
 test4.f90             p               p               p
 test5.f90             p               p               p
 test6.f90             p               p               p
 test7.f90             p               p               p
 test8.f90             w               p               p
 testh.f90             e

Same as  the 1.34 , the output file of unparse is also same as 1.34 .